// Mike Maxim
// IRTree rep for Mem

package edu.cmu.cs.l3.tree;

public class IRMem extends IRExpression {

    public IRMem(IRExpression e) {
	m_exp =e;

	m_classname = "IRMem";
    }

    public IRExpression getExpression() {
	return m_exp;
    }

    public void setExpression(IRExpression exp) {
	m_exp = exp;
    }

    public IRExpressionList getComponents() {
	return new IRExpressionList(m_exp);
    }

    public IRExpression build(IRExpressionList comps) {
	return new IRMem(comps.getExpression(0));
    }

    public String toString() {
	return "[" + super.toString() + ": " + m_exp.toString() + "]";
    }

    private IRExpression m_exp;
}

